mod amadeus;
mod cards;
mod constants;
mod logger;
mod utils;
mod widgets;

use eframe::egui::Vec2;

fn main() {
    logger::set_level(log::Level::Debug);
    if let Err(e) = logger::init() {
        panic!("Failed to install logger: {e}")
    }

    eframe::run_native(
        "amadeus-rs",
        eframe::NativeOptions {
            maximized: false,
            decorated: true,
            drag_and_drop_support: true,
            resizable: true,
            initial_window_size: Some(Vec2::new(800., 600.)),
            icon_data: Some(utils::get_icon_data()),
            ..Default::default()
        },
        Box::new(|cc| amadeus::Amadeus::create(cc)),
    );
}
