use lkt_lib::*;

fn main() {
    let mut lektor = LektorConnexion::new("localhost".to_owned(), 6600).unwrap();
    if lektor.send_query(LektorQuery::Ping).is_ok() {}

    if let Ok(LektorResponse::CurrentKara(current)) = lektor.send_query(LektorQuery::CurrentKara) {
        println!("CURRENT {current:?}");
    }

    if let Ok(LektorResponse::PlaybackStatus(status)) =
        lektor.send_query(LektorQuery::PlaybackStatus)
    {
        println!("STATUS {status:?}");
    }

    if let Ok(LektorResponse::PlaylistSet(plts)) = lektor.send_query(LektorQuery::ListAllPlaylists)
    {
        println!("PLTS {plts:?}");
    }
}
